package org.example.petshopdesktop.models.analytics;

public class PaymentMethodData {
    private final String paymentMethod;
    private final int transactionCount;
    private final double totalRevenue;

    public PaymentMethodData(String paymentMethod, int transactionCount, double totalRevenue) {
        this.paymentMethod = paymentMethod;
        this.transactionCount = transactionCount;
        this.totalRevenue = totalRevenue;
    }

    public String getPaymentMethod() {
        return paymentMethod;
    }

    public int getTransactionCount() {
        return transactionCount;
    }

    public double getTotalRevenue() {
        return totalRevenue;
    }
}
